#include "camera.inc"
#include "train.inc"
#include "track.inc"

//Lights
light_source{
 <20, 40, -10>
 color rgb 1
}

//Sky
sky_sphere{
 pigment{
  gradient y
   color_map{
    [0.00 rgb <1.00, 1.00, 1.00> ]
    [0.20 rgb <0.00, 0.00, 1.00> ]
   }
 }
}

plane{y, 1200
 texture{
  pigment{
   bozo
   turbulence .75
   omega .7
   color_map{
    [0  color rgbt <.8, .8, .8, 1>]
    [.5 color rgbt<.8, .8, .8, .8>]
    [1  color rgbt<.9, .9, .9, .2>]
   }
  }
  finish{
   ambient 1
   diffuse .3
  }
  scale 2250
  rotate <0, 90, 0>
  translate<1500, 900, -2000>
  }
  hollow
}

//Fog
fog{
 fog_type 2
 distance 150
 fog_offset 30
 fog_alt 1
 turbulence 0.15
 color rgbt <1, 1, 1, 0.15>
}

//Ground
plane{y, 0
 pigment{ color rgb <0, 1, 0> }
}

//Track
union{
 object{ StraightTrack translate<-9.375, 0, 4.5> }
 object{ StraightTrack translate<-9.375, 0, -4.5> }
 object{ CurveTrack translate<-9.375, 0, 13.5> }
#declare Counter = 0;
#while (Counter < 6)
 object{ CurveTrack rotate<0, 27.25*Counter, 0> translate<-4.75*Counter, 0, 21.75*Counter> }
 #declare Counter = Counter + 1;
#end

 object{ StraightTrack translate<9.375, 0, 4.5> }
 object{ StraightTrack translate<9.375, 0, -4.5> }

}
